Bug 166488 - Wrong GPG key
Wrong GPG key
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-22 08:50 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 06:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-08-22 08:50:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.5

Description of problem:
# yum groupinstall "Development Tools"
[snip]
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID db42a60e
public key not available for perl-XML-SAX-0.12-7.noarch.rpm
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

The GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora (0x4F2A6FD2)
is already installed but is not the correct key for this package.
Check that this is the correct key for the "Fedora Core 4 - i386 - Base" repository.
# md5sum /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
520b0c2f4facfd6ade56d8d3a1b65b54  /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x

Additional info:
Comment 1 Warren Togami 2005-09-04 06:22:33 EDT
We screwed up when we issued FC4 by not resigning all packages to use the same
key.  You can workaround this problem with:
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY*

Note You need to log in before you can comment on or make changes to this bug.